Bids
GET
bids/{bidId}/attachments/{attachmentId}
Retrieves the specified file that’s attached to a given bid proposal.
Resource Information
| Method and URI | GET https://developer.api.autodesk.com/construction/buildingconnected/v2/bids/{bidId}/attachments/{attachmentId} |
| Authentication Context | User context required |
| Required OAuth Scopes | data:read |
| Data Format | JSON |
Request
Headers
| Authorization* string | Must be Bearer <token>, where <token> is a three-legged access token obtained via an Authorization Code flow. |
* Required
Request
URI Parameters
| bidId string | The unique ID of the bid. |
| attachmentId string | The ID of a file that’s attached to a bid proposal. |
Response
HTTP Status Code Summary
| 200 OK | OK |
| 400 Bad Request | The parameters of the requested operation are invalid. |
| 401 Unauthorized | The provided bearer token is not valid. |
| 403 Forbidden | The user or service represented by the bearer token does not have permission to perform this operation. |
| 404 Not Found | The requested resource could not be found. |
| 429 Too Many Requests | Rate limit exceeded; wait some time before retrying. The ‘Retry-After’ header might provide the amount of the time to wait. |
| 500 Internal Server Error | An unknown error occurred on the server. |
Response
Body Structure (200)
| id string | The unique ID of the attachment.
Max length: 24 |
| name string | The name of the attachment. |
| signedUrl string | A short-lived signed URL for downloading the attachment.
The signed URL returned by this endpoint will expire after 2 minutes. You must begin the download before the URL expires, but the subsequent data transfer can take much longer. |
Example
OK
Request
curl -v 'https://developer.api.autodesk.com/construction/buildingconnected/v2/bids/:bidId/attachments/:attachmentId' \
-H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a'
Response
{
"id": "5d1ca35b3935dc00a8b18d79",
"name": "filename.pdf",
"signedUrl": "https://example.url/filename"
}